I wanna create a command to put in the LISP file. Bascially when I type XV or XH a vertical or horizontal xline will be created and automaticlly put on defpoints layer.
My former office had this and it was very slick and was wondering if I could ad it to my new office
this in an issue ive noticed for a long time now across a few versions of ACAD, not sure whats causing it. When i try to draw an XLINE sometimes the command will get locked into either horizontal or vertical mode, without me choosing that option. seems to based on the OSNAP pickpoint i grab maybe.
attached are pics of the process.
i run XLINE, pick endpoint and bam, its locked into horizontal mode, very annoying if im trying to make a vertical and horizontal line based off the same point.
How to create hide situation using AM2DHIDE command in AutoCAD 2013? This command was exist in AutoCAD Mechanical 2009. But when i tried to edit this command in AutoCAD 2013, it displyed as unkinown command?
Trying to us SURFPATCH to create a surface from a closed 3d poly (with SP1.1 applied)
The 3D poly on the left worked correctly, but when trying SURFPATCH on the right (axe head shape) the resulting surface id rectangular - why? looks like I will need to revert to EDGESURF - for now
i'm looking to select a block reference, take it's wcs position, translate the coordinates to the current ucs and then create an xline using those translated coordinates. simple, right?
i simplified some code to test that i could properly build an xline in a current ucs. i just threw in static point3d values instead of grabbing them from another object. it worked as expected:
<CommandMethod("test")> _ Public Sub test() 'get the active document, editor and database Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acDocEd As Editor = acDoc.Editor Dim acCurDb As Database = acDoc.Database 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open the record for write Dim acBlkTblRec As BlockTableRecord acBlkTblRec =
[code]...
here, i revised the code so that a block reference's objectid is passed from another procedure, the origin is determined, translated to the current ucs and the points are tailored for the xline's basepoint and secondpoint. i threw in a few writemessages to ensure that the coordinates were indeed what i was looking for and they match up, but for some reason, the xline now fails to create itself.
'define the current ucs Dim ucsDesign As Matrix3d = acDocEd.CurrentUserCoordinateSystem 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the connector block for read Dim acBlock As BlockReference = acTrans.GetObject(idConnector, OpenMode.ForRead) 'save connector origin Dim ptOrigin As Point3d = acBlock.Position 'translate the point to the current ucs Dim ptUcsOrigin As Point3d = ptOrigin.TransformBy(ucsDesign.Inverse) 'show me the block position acDocEd.WriteMessage(vbLf & ptOrigin.ToString()) acDocEd.WriteMessage(vbLf & ptUcsOrigin.ToString()) 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open
[code]...
i've rearranged this code multiple times, tried a couple different approaches, scoured the forums and even resorted to the less-than-elegant:
After installing the VBA Module, I get the message "Unknown command "VBARUN"". I've rebooted, restarted and tried reinstalling the VBA Module to no avail.
I press CTRL+9 to make the Command Line disappear while drawing. When I plot (or when doing a plot preview) , the Command Line appears again by itself. So I always have to turn the Command Line off manually after each plot
The bug still happens;
- if Dynamic Input is turned off or on - if I plot to a real device or in PDF - if the Cammand Line Palette i docked or floating.
This is not an issue in AutoCAD 2012 so I guess it has to do with the new way they programmed the revamped Command Line palette in 2013.
When i go to use the rad or dia. command, and i click on an arc surface (in paper space) the rad dimension will jump to the nearest arc, not the arc that i need dimensioned.
I've been searching for a command that could actually cut lines for purpose. For example, if I'm drawing a 2 line crossed, wish I could cut the 2 lines so they are now 4 segments. On a circle, I could actually draw a line that pass trough the circle on cut it off the way I wish. Does such command exists for autoCAD? Very often, I've many lines at the same time that I wish I could cut with a single one. The problem is that I don't wish to trim 'em and extend (losing time and long process). Sure there is also the div cmd, but this isn't what I'm seeking for.
Today 2013 returns "Command: _cui Unknown command "CUI". Press F1 for help." from the command line. menu and ribbon. What a mess 2013 is! Defeitely not worth the miniscule improvements.
My command bar will not dock down at the bottom like the old style autocad (I don't care for the new semi transparent deal as its always in the way). I can dock the command bar but the next time I open the drawing or autocad for that matter it is back floating again?
I don’t often used VB.net but I would like to know how I can create a form with a button that will send a command to AutoCAD. I’ve goggled but get nothing near enough to what I find understandable.
I am having a problem with AutoCad 2013 crashing. While running the program when I use the open command dialog box if I re-name a file, create a folder, or copy a file autocad goes unresponsive and crashes immediately afterward. I have installed the service pack and update my video card driver trying to fix the problem. I used to be able to perform everything mentioned above in AutoCad 2010 without any problems. I don't think its my computer causing the problem because everyone else in my office is having the same issue with 2013.
I am using AutoCad Mechanical 2013. I am trying to section in 3D but, when I press the Section Plane tool, it doesn't respond. See the picture below. At the bottom of drawing area its says "Command: _sectionplane Unknown command "SECTIONPLANE"."
I have a drawing that was drawn in 3D CAD and I need to convert to 2D CAD. I changed the view, but I cannot remember what the command is I need to type in to change to 2D.
I installed the language pack, on my original autocad 2013(Chinese) has the ribbon, and the "RIBBON"command works, but on my another language pack autocad 2013 (English) there is no ribbon and the"RIBBON" command does not work, tells me ribbon Unknown command "RIBBON".
Does the ribbon function not work on the language pack autocad one?
i use the hplayer command which changes the layer when i open the hatch command. i am sure when i closed it in the past it then changes the layer back to my current layer. now it gets stuck on my 'hatch' layer and i have to manually change the layer to 'current'.
I turned off the command line because I don't use it or need it on my screen. But each time after I do a plot preview the stupid thing automatically turns itself back on.
Is there a way to permanently turn this thing off because apparently hitting the "x" on the toolbar isn't working correctly.
Also, why did they do away with the flyout option on the commandline. At least then I could dock it somewhere and collapse it.
I used the CHANGESPACE command today to bring a piece of mtext from model space to paper space. I had a background mask on the mtext and when it came into paper space, the height of the text box displayed right but the width stayed the same as it was in model space. I played around with column settings and also the WYSIWYG in editor settings. Nothing seemed to make difference. What am I missing? Using autocad 2014
As an Autocad user since Rel. 2.1. My favorite is when attempts to draw a line using feet and inch input while units are set to decimal. How "Point or option keyword required" is supposed to guide using the correct units setting? With DYN Input on, the red outline offers even less information. Are the prompts user editable?
Is there a way to set a profile by the command line instead of through OPTIONS? I'm contract and do not have admin rights on the PC so I can't change the startup target to my profile.
I can write a script to make the changes I need at every startup but can't find the profile setting command/variable.
My command line is partially off the screen as shown in the attachments below. It started doing this after a reboot this morning. I can't drag it, select it, or find a way to move it in any way. I tried changing the resolution of my monitor thinking it might "bump" it back on the screen. I'm probably missing something easy but I can't seem to make any difference. Is there a command to prevent the floating option?
After installation of the AutoCAD 14 and setting up drawing parameters to support the .dwt template, from the Format menu, tried initiating the units, points, table style, and layer states command but get a prompt for indicating for example: "units" unknown command, "DDTYPE" unknown comand, etc.. What setting do I have to adjust in order for these commands to work?
With the Isolate Object command is it possible to have the objects that get hidden remain in the workspace "faded" like when editing a reference in place?
last week you drafted a mold for my plug part, but you didn't exmplain the steps I need to follow to create the mold using the derive command. Would you mind posting the steps for myself and other forum readers to follow. I guess my real question is: how do you create a 2 part mold using the derive command?